net.minecraft.server.integrated

## Class IntegratedPlayerList

- java.lang.Object
- - net.minecraft.server.management.ServerConfigurationManager
  - - net.minecraft.server.integrated.IntegratedPlayerList

-     public class IntegratedPlayerList
      extends ServerConfigurationManager

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.server.management.ServerConfigurationManager

      `maxPlayers, playerEntityList, viewDistance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegratedPlayerList(IntegratedServer par1IntegratedServer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `allowUserToConnect(java.net.SocketAddress p_148542_1_, com.mojang.authlib.GameProfile p_148542_2_)`
    `NBTTagCompound` | `getHostPlayerData()`
    `IntegratedServer` | `getServerInstance()`
    `protected void` | `writePlayerData(EntityPlayerMP par1EntityPlayerMP)`

    - ### Methods inherited from class net.minecraft.server.management.ServerConfigurationManager

      `addOp, addToWhiteList, createPlayerForUser, findPlayers, func_148538_i, func_72375_a, func_96456_a, getAllUsernames, getAvailablePlayerDat, getBannedIPs, getBannedPlayers, getCurrentPlayerCount, getEntityViewDistance, getMaxPlayers, getOps, getPlayerForUsername, getPlayerList, getPlayerListAsString, getViewDistance, getWhiteListedPlayers, initializeConnectionToPlayer, isAllowedToLogin, isPlayerOpped, isWhiteListEnabled, loadWhiteList, playerLoggedIn, playerLoggedOut, readPlayerDataFromFile, removeAllPlayers, removeFromWhitelist, removeOp, respawnPlayer, saveAllPlayerData, sendChatMsg, sendChatMsgImpl, sendPacketToAllPlayers, sendPacketToAllPlayersInDimension, sendPlayerInfoToAllPlayers, sendToAllNear, sendToAllNearExcept, setCommandsAllowedForAll, setGameType, setPlayerManager, setWhiteListEnabled, syncPlayerInventory, transferEntityToWorld, transferEntityToWorld, transferPlayerToDimension, transferPlayerToDimension, updatePlayerPertinentChunks, updateTimeAndWeatherForPlayer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegratedPlayerList

          public IntegratedPlayerList(IntegratedServer par1IntegratedServer)

  - ### Method Detail

    - #### writePlayerData

          protected void writePlayerData(EntityPlayerMP par1EntityPlayerMP)

      Overrides:
        `writePlayerData` in class `ServerConfigurationManager`

    - #### allowUserToConnect

          public java.lang.String allowUserToConnect(java.net.SocketAddress p_148542_1_,
                                            com.mojang.authlib.GameProfile p_148542_2_)

      Overrides:
        `allowUserToConnect` in class `ServerConfigurationManager`

    - #### getServerInstance

          public IntegratedServer getServerInstance()

      Overrides:
        `getServerInstance` in class `ServerConfigurationManager`

    - #### getHostPlayerData

          public NBTTagCompound getHostPlayerData()

      Overrides:
        `getHostPlayerData` in class `ServerConfigurationManager`